data{
    int N;
    real Y[N];
    real X[N];
    }
parameters{
    real b0;
    real b1;
    real<lower = 0> sgm;
}
transformed parameters{
    real mu[N];
    for (i in 1:N)
        mu[i] = b0 + b1 * X[i];
}
model{
    for (i in 1:N)
        Y[i] ~ normal(mu[i], sgm);
}
